@import './_mixins';
@import './variables';

.nav-menu {
    background-color: #F5F5F5;
    width: 47%;
    position: absolute;
    right: 30px;
    top: 60px;
    cursor: pointer;
    opacity: 0;

    @include mq('tablet') {
        display: flex;
        background-color: transparent;
        opacity: 1;
        position: static;
        width: 67%;
        justify-content: center;
        margin-bottom: 43px;
    }


    &__items {
        background-color: #F5F5F5;

        @include mq('tablet') {
            display: flex;
            margin-top: 41px;
            background-color: transparent;
        }

    }

    &__item {
        list-style-type: none;
        padding-top: 5px;
        padding-left: 13px;
        padding-bottom: 5px;

        &:hover {
            background-color: #E5E5E5;
        }

        a {
            text-decoration: none;
            color: #4E4E4E;
            font-size: 11px;
            text-align: left;
            text-transform: uppercase;
            font-weight: 400;

            &:hover {
                color: $hover-color;
            }
        }

        @include mq('tablet') {
            margin-right: 5px;

            &:hover {
                background-color: transparent;
                color: $hover-color;
            }
        }
    }
}

.header {
    display: flex;
    flex-direction: column;
    align-items: center;

    .header-image {
        width: 100%;
        margin-top: 67px;

        @include mq('tablet') {
            margin-top: 5px;
        }

        .image {
            width: 100%;
        }
    }

}

.toggle-btn {
    background-color: #000;
    width: 20px;
    padding-top: 1px;
    padding-bottom: 1px;
    margin-right: 30px;
    margin-top: 40px;
    position: absolute;
    right: 0;

    .toggle {
        display: block;
        cursor: pointer;
        width: 15px;
        height: 2px;
        margin: 3px auto;
        background: #fff;
    }

    @include mq('tablet') {
        display: none;
    }
}

.active {
    opacity: 1;
    transition: all 0.5s ease;
}


.is-active {
    .toggle:nth-child(2) {
        opacity: 0;
    }

    .toggle:nth-child(1) {
        transform: translateY(5px) rotate(45deg);
    }

    .toggle:nth-child(3) {
        transform: translateY(-5px) rotate(-45deg);
    }
}